%define anolis_release 3
Summary:	Backup and restore utilities for the XFS filesystem
Name:		xfsdump
Version:	3.1.10
Release:	%{anolis_release}%{?dist}
License:	GPL+
Source0:	http://kernel.org/pub/linux/utils/fs/xfs/%{name}/%{name}-%{version}.tar.xz

Patch1:         3.1.11-xfsdump-Initialize-getbmap-structure-in-quantity2off.patch
Patch2:         3.1.12-xfsrestore-fix-on-media-inventory-media-unpacking.patch
Patch3:         3.1.12-xfsrestore-fix-on-media-inventory-stream-unpacking.patch
Patch4:         3.1.12-xfsdump-fix-on-media-inventory-stream-packing.patch

BuildRequires:	make,libtool, gettext, gawk
BuildRequires:	gcc > 12.0
BuildRequires:	xfsprogs-devel, libuuid-devel, libattr-devel ncurses-devel
BuildRequires:	gnupg2, xz
Requires:	xfsprogs >= 2.6.30
Requires:   attr >= 2.0.0

%description
The %{name} package contains %{name}, xfsrestore and a number of
other utilities for administering XFS filesystems.

xfsrestore performs the inverse function of xfsdump; it can restore a
full backup of a filesystem.  Subsequent incremental backups can then
be layered on top of the full backup.  Single files and directory
subtrees may be restored from full or partial backups.

xfsdump examines files in a filesystem, determines which need to be
backed up, and copies those files to a specified disk, tape or other
storage medium.	 It uses XFS-specific directives for optimizing the
dump of an XFS filesystem, and also knows how to backup XFS extended
attributes.  Backups created with xfsdump are "endian safe" and can
thus be transfered between Linux machines of different architectures
and also between IRIX machines.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%configure

%make_build

%install
rm -rf %{buildroot}
make DIST_ROOT=%{buildroot} install
rm -rf %{buildroot}/%{_datadir}/doc/xfsdump/
(cd %{buildroot}/%{_sbindir}; mv ../../sbin/xfsdump .)
(cd %{buildroot}/%{_sbindir}; mv ../../sbin/xfsrestore .)
mkdir -p %{buildroot}/%{_sharedstatedir}/xfsdump/inventory

%generate_compatibility_deps

%find_lang %{name}

%files -f %{name}.lang
%dir %{abidir}
%{_mandir}/man8/*
%{_sbindir}/*
%{abidir}/*-option.list
%{_sharedstatedir}/xfsdump/inventory

%files doc
%doc README doc/COPYING doc/CHANGES doc/README.xfsdump doc/xfsdump_ts.txt

%changelog
* Tue Apr 11 2023 Ziyang Zhang <ZiyangZhang@linux.alibaba.com> -3.1.10-3
- Optimize spec file

* Tue Feb 7 2023 Ziyang Zhang <ZiyangZhang@linux.alibaba.com> -3.1.10-2
- Add upstream patches which:
    Initialize getbmap structure in quantity2offset
    Fix inventory unpacking
- Add abi/api files

* Fri Apr 15 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.1.10-1
- init from upstream
